play.plugins

## Class ConfigurablePluginDisablingPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.plugins.ConfigurablePluginDisablingPlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class ConfigurablePluginDisablingPlugin
      extends PlayPlugin

  Plugin that reads list of plugins to disable from application.conf To disable plugins, specify it like this in application.conf: plugins.disable=full-plugin-class-name plugins.disable.0=full-plugin-class-name plugins.disable.1=full-plugin-class-name plugins.disable.whatever=full-plugin-class-name

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Set<java.lang.String>` | `previousDisabledPlugins` List holding all disabled plugins.

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurablePluginDisablingPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConfigurationRead()` Called when the application.conf has been read.

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### previousDisabledPlugins

          protected static final java.util.Set<java.lang.String> previousDisabledPlugins

      List holding all disabled plugins. when reloading config, we have to enable hem again, in case, they are no longer listed in the "disable plugins"-section

  - ### Constructor Detail

    - #### ConfigurablePluginDisablingPlugin

          public ConfigurablePluginDisablingPlugin()

  - ### Method Detail

    - #### onConfigurationRead

          public void onConfigurationRead()

      Description copied from class: `PlayPlugin`
      Called when the application.conf has been read.
      Overrides:
        `onConfigurationRead` in class `PlayPlugin`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly